//
// ThaiPalaceMenuClient.java
//
// This class creates the client-side service factory
// for the desired service, makes the remote procedure call,
// and displays the response.
//

import java.io.*;


public class ThaiPalaceMenuClient {
  
  public static void main(String [] args) throws Exception {
    
    // Create an instance of the desired service
    
    ThaiPalaceMenuService service = new ThaiPalaceMenuService();

    // Use the factory method on the service to get the portType stub.
    
    ThaiPalaceMenuServicePortType port = service.getThaiPalaceMenuServicePort();
    
    // Make the actual calls
    
    String schema = port.getMenuSchema();

    String document = port.getMenuDocument();
    
    String stylesheet = port.getMenuStylesheet();
       
    String menu = port.getMenu() ;

    // What's for dinner?

    System.out.println(menu) ;

  }
}
