<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
>

   <xsl:output method="html"/>

   <xsl:template match="/" >
      <html>
         <xsl:apply-templates />
      </html>
   </xsl:template>

   <xsl:template match="menu">
      <head>
         <title>
            <xsl:value-of select="name" />
         </title>
      </head>

      <body>
         <h1>
         <xsl:value-of select="name" /> : 
         <xsl:value-of select="fax" /> (FAX)
         </h1>

         <h4>
            <xsl:value-of select="fax-order" />
         </h4>

         <hr />

         <xsl:apply-templates />
      </body>
   </xsl:template>

   <xsl:template match="category">
      <h2 align="center">
         <xsl:value-of select="name" />
      </h2>

      <table border="2" width="100%">
         <tr>
            <th width="10%">Number</th>

            <th width="10%">Veggie</th>

            <th width="10%">Spicy</th>

            <th width="10%">Name</th>

            <th width="50%">Description</th>

            <th width="10%">Price</th>
         </tr>

         <xsl:apply-templates />
      </table>
   </xsl:template>

   <xsl:template match="item">
      <tr>
         <td align="center">
            <xsl:value-of select="@number" />
         </td>

         <td align="center">
            <xsl:choose>
               <xsl:when test="@veggie='true'">Yes</xsl:when>

               <xsl:when test="@veggie='false'">No</xsl:when>
            </xsl:choose>
         </td>

         <td align="center">
            <xsl:choose>
               <xsl:when test="@spicy='true'">Yes</xsl:when>

               <xsl:when test="@spicy='false'">No</xsl:when>
            </xsl:choose>
         </td>

         <td align="center">
            <xsl:value-of select="name" />
         </td>

         <td align="left">
            <xsl:value-of select="description" />
         </td>

         <td align="right">$ 
         <xsl:value-of select="price" />
         </td>
      </tr>
   </xsl:template>

   <xsl:template match="*" />
</xsl:stylesheet>
