import java.io.*;
import java.util.*;
import javax.xml.bind.*;
import javax.xml.marshal.*;
import java.math.BigDecimal;

public class TestClient2
{
    public static void showBooks( List bookList )
    {
        for( Iterator i=bookList.iterator(); i.hasNext(); )
        {
            Book book = ( Book )i.next();
            System.out.println( "Book: " + 
                                book.getTitle() + ", " + 
                                book.getAuthor() + ", " +
                                book.getPrice() + ", " +
                                book.getCategory() );
        }
    }
    
    public static void main( String[] args )
    {
        try
        {
	    // Open the book.xml file
            File file = new File( "book.xml" );
            if( !file.exists() )
            {
                System.out.println( "Couldn't find file..." );
                return;
            }
            FileInputStream fis = new FileInputStream( file );
            Books books = Books.unmarshal( fis );
            fis.close();

	    // Show the initial contents of the file
            showBooks( books.getBook() );

            // Add a Book
            System.out.println( "\nAdding a book" );
            Book book = new Book();
            book.setTitle( "Web Services Unleashed" );
            book.setAuthor( "Buncha Guys..." );
            book.setPrice( new BigDecimal( 49.95 ) );
            book.setCategory( CategoryType.COMPUTER_PROGRAMMING );
            books.getBook().add( book );

	    // Show the updated contents of the XML document
            showBooks( books.getBook() );

	    // Display the complete document to the screen
            XMLWriter writer = new XMLWriter( System.out, "US-ASCII", true );
            books.validate();
            books.marshal( writer );
        }
        catch( Exception e )
        {
            e.printStackTrace();
        }
        
    }
}

