package examples.webservices.rpc.curmudgeonEJB;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

/**
 * Note: This is largely taken from an example EJB found in the
 * BEA WebLogic examples distribution.
 *
 * The methods in this interface are the public face of CurmudgeonBean.
 * The signatures of the methods are identical to those of the EJBean, except
 * that these methods throw a java.rmi.RemoteException.
 * Note that the EJBean does not implement this interface. The corresponding
 * code-generated EJBObject, WeatherBean, implements this interface and
 * delegates to the bean.
 *
 * @author Frank Cohen 2002 for Java Web Services Unleashed, published by SAMS
 */
public interface Curmudgeon extends EJBObject {

  /**
   * Gets the temperature of a given ZipCode.
   *
   * @param quandry           String quandry is the question to ask the Curmudgeon
   * @return                  String answer
   * @exception               RemoteException if there is
   *                          a communications or systems failure
   */
  public String getCurmudgeonOpinion( String quandry ) throws RemoteException;

}
